-- - prologOra.ddl start ---------------------------------------------
-- Version: 1.1
-- -------------------------------------------------------------------
-- DDL for @PRODUCT.SERVER@ @PRODUCT.VERSION.DETAIL@ - @BLDLEVEL@
--
-- - prologOra.ddl end -----------------------------------------------


-- ESB requires a view to be created in the ORACLE DATABASE.. 

-- RENAME THE TABLE MSGLOG TO MSGLOGALT
ALTER TABLE ESBLOG.MSGLOG RENAME TO ESBLOG.MSGLOGALT;

-- RENAME THE COLUMN TIMESTAMP TO TIMESTAMPALT.
ALTER TABLE ESBLOG.MSGLOGALT RENAME COLUMN TIMESTAMP TO TIMESTAMPALT;

-- CREATE THE VIEW FOR THE TABLE

CREATE VIEW "ESBLOG"."MSGLOG" AS
   SELECT MEDIATIONNAME,
   MESSAGE, 
   MESSAGEID,
   MODULENAME, 
   TIMESTAMPALT AS "TIMESTAMP", 
   VERSION
  FROM  
     ESBLOG.MSGLOGALT;

COMMIT;